/*
 * Clock identifiers for clock and power management.
 *
 * Copyright (C) 2021 Paul Boddie <paul@boddie.org.uk>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA
 */

#pragma once

/* Identifiers for controllable "logical" or "abstract" clocks. Operations
   involving these clocks may operate on multiple "physical" or "specific"
   clocks. */

enum Clock_identifiers
{
  Clock_aic_bitclk,
  Clock_aic_pclk,
  Clock_cim,
  Clock_dma,
  Clock_emac,
  Clock_hdmi,
  Clock_i2c,
  Clock_kbc,
  Clock_lcd,
  Clock_msc,
  Clock_pmw0,
  Clock_pwm1,
  Clock_scc,
  Clock_smb0,
  Clock_smb1,
  Clock_smb2,
  Clock_smb3,
  Clock_smb4,
  Clock_ssi,
  Clock_timer,
  Clock_uart0,
  Clock_uart1,
  Clock_uart2,
  Clock_uart3,
  Clock_udc,
  Clock_uhc,
  Clock_uprt,
};

/* Identifiers for clocks whose frequencies can be adjusted or inspected. */

enum Clock_frequency_identifiers
{
  Clock_frequency_lcd,
  Clock_frequency_lcd_pixel,
  Clock_frequency_hdmi,
};

// vim: tabstop=2 expandtab shiftwidth=2
